%{
#include "y.tab.h"
%}

%%
"ADC"              { return ADC; }
"SBC"              { return SBC; }
"AND"              { return AND; }
// Add more opcodes...
[0-9]+              { yylval.int_val = atoi(yytext); return INTEGER; }
[a-zA-Z_][a-zA-Z0-9_]* { yylval.str_val = strdup(yytext); return IDENTIFIER; }
"("                 { return LPAREN; }
")"                 { return RPAREN; }
","                 { return COMMA; }
[ \t\n]+           { /* Ignore whitespace */ }
.                   { return yytext[0]; }
%%
